## ebook2cwgui 0.1.2

=== Makefile ===
# ebook2cwgui Makefile, Fabian Kurz, DJ1YFK, http://fkurz.net/ham/ebook2cw.html
#
# $Id: Makefile 579 2013-01-18 17:38:17Z dj1yfk $

VERSION=0.1.2
DESTDIR ?= /usr

all: ebook2cwgui

ebook2cwgui:
	g++ ebook2cwgui.cpp about.cpp main.cpp \
	       	-Wall `wx-config --libs --cxxflags` -o ebook2cwgui

win32:
	g++ -static ebook2cwgui.cpp about.cpp main.cpp \
	       	-Wall `/wx/wx-config --libs --cxxflags` -o ebook2cwgui

install:
	install -d -v                      $(DESTDIR)/bin/
	install -d -v                      $(DESTDIR)/share/man/man1/
	install -s -m 0755 ebook2cwgui     $(DESTDIR)/bin/
	install    -m 0644 ebook2cwgui.1   $(DESTDIR)/share/man/man1/
	
uninstall:
	rm -f $(DESTDIR)/bin/ebook2cwgui
	rm -f $(DESTDIR)/share/man/man1/ebook2cwgui.1

clean:
	rm -f ebook2cwgui ebook2cwgui.exe *~ *.mp3 *.ogg

dist:
	sed 's/v[0-9].[0-9].[0-9]/v$(VERSION)/g' README > README2
	rm -f README
	mv README2 README
	rm -f releases/ebook2cwgui-$(VERSION).tar.gz
	rm -rf releases/ebook2cwgui-$(VERSION)
	mkdir ebook2cwgui-$(VERSION)
	cp ebook2cwgui.cpp ebook2cwgui.h main.cpp main.h ChangeLog \
		ebook2cwgui.1 README COPYING Makefile ebook2cw.xpm \
		about.cpp about.h \
		ebook2cwgui-$(VERSION)
	tar -zcf ebook2cwgui-$(VERSION).tar.gz ebook2cwgui-$(VERSION)
	mv ebook2cwgui-$(VERSION) releases/
	mv ebook2cwgui-$(VERSION).tar.gz releases/
	md5sum releases/*.gz > releases/md5sums.txt
	chmod a+r releases/*

=== debian/changelog ===
ebook2cwgui (0.1.2-7build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:00 +1100

ebook2cwgui (0.1.2-7build2) noble; urgency=high

  * No change rebuild against libwxbase3.2-1t64, libwxgtk3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:57:17 +0100

ebook2cwgui (0.1.2-7build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:21:50 +0000

ebook2cwgui (0.1.2-7) unstable; urgency=medium

  * Update build-dep for wxWidgets to 3.2 (Closes: #1019777)

 -- tony mancill <tmancill@debian.org>  Thu, 15 Sep 2022 17:15:38 -0700

ebook2cwgui (0.1.2-6) unstable; urgency=medium

  * Migrate packaging into Salsa
  * Update Uploaders. Thank you Christoph Feenders!
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.1
  * Set Rules-Requires-Root: no in debian/control
  * Update debian/watch to version 4 and to use https
  * Remove debian/source/include-binaries

 -- tony mancill <tmancill@debian.org>  Mon, 06 Jun 2022 07:09:31 -0700

ebook2cwgui (0.1.2-5) unstable; urgency=low

  * Switch from GTK 2 -> GTK 3 (Closes: #933442)
  * Corrected install strip (Closes: #928100)
  * Bump Standards-Version to 4.4.1

 -- Christoph Feenders <debian@echti.de>  Fri, 04 Oct 2019 00:00:00 +0100

ebook2cwgui (0.1.2-4) unstable; urgency=low

  * Corrected icon name in .desktop file
  * Uninstall of .desktop-file was missing
  * Bump Standard-Version to 4.2.0
  * Updated debphelper version (now 11)

 -- Christoph Feenders <debian@echti.de>  Thu, 20 Dec 2018 18:33:09 +0000

ebook2cwgui (0.1.2-3) unstable; urgency=low

  * Removed obsolete .menu file.
  * Added keywords to .desktop file.
  * Bump Standard-Version to 3.9.6.

 -- Christoph Feenders <debian@echti.de>  Thu, 12 Nov 2015 00:24:32 +0000

ebook2cwgui (0.1.2-2) unstable; urgency=medium

  * Corrected build-dependencies, thanks to Helge Deller (Closes: #743417).
  * Bump Standard-Version to 3.9.5.

 -- Christoph Feenders <debian@echti.de>  Thu, 10 Apr 2014 10:55:57 +0100

ebook2cwgui (0.1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to build with wxwidgets 3.0.

 -- Olly Betts <olly@survex.com>  Thu, 13 Mar 2014 12:22:05 +1300

ebook2cwgui (0.1.2-1) unstable; urgency=low

  * Initial release (Closes: #700496)
  * Adjusted the Makefile to fix $(DESTDIR) problems.
  * Adjusted Makefile for hardening.
  * Adjusted Makefile for (de)installing program icon.
  * Added .desktop-file and adjusted Makefile for installation.

 -- Christoph Feenders <debian@echti.de>  Wed, 13 Feb 2013 11:26:52 +0100

=== debian/control ===
Source: ebook2cwgui
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>,
 tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13),
 libwxgtk3.2-dev
Standards-Version: 4.6.1
Homepage: http://fkurz.net/ham/ebook2cw.html#gui
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/ebook2cwgui.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/ebook2cguiw
Rules-Requires-Root: no

Package: ebook2cwgui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ebook2cw
Description: GUI for ebook2cw
 ebook2cwgui is a graphical user interface (GUI) for the command-line program
 ebook2cw, which converts ebooks to Morse MP3s/OGGs.
 .
 The GUI uses the same configuration file as ebook2cw, called ebook2cw.conf.
 .
 For a detailed description, please refer to the man-page or the project
 website.

=== debian/watch ===
# watch control file for uscan
version=4
https://fkurz.net/ham/ebook2cw/ebook2cwgui-(.+)\.tar\.gz debian uupdate
